Bug 1305671 - ospd-8 poodle 2016-02-04.1 tempest.api.image.v2.test_images.BasicOperationsImagesTest.test_register_upload_get_image_file failing
ospd-8 poodle 2016-02-04.1 tempest.api.image.v2.test_images.BasicOperationsIm...
Status: CLOSED CANTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-swift (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ga
: 8.0 (Liberty)
Assigned To: Pete Zaitcev
nlevinki
: Automation, AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 15:50 EST by Steve Linabery
Modified: 2016-04-26 14:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-21 05:16:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Linabery 2016-02-08 15:50:26 EST
Description of problem:
ospd-8 poodle 2016-02-04.1 tempest.api.image.v2.test_images.BasicOperationsImagesTest.test_register_upload_get_image_file failing

Traceback (most recent call last):
testtools.testresult.real._StringException: Empty attachments:
  stderr
  stdout

pythonlogging:'': {{{
2016-02-08 12:33:42,966 26234 INFO     [tempest_lib.common.rest_client] Request (BasicOperationsImagesTest:test_register_upload_get_image_file): 201 POST http://172.16.23.110:9292/v2/images 0.191s
2016-02-08 12:33:42,967 26234 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: {"container_format": "ami", "ramdisk_id": "00000000-1111-2222-3333-444455556666", "disk_format": "ami", "name": "tempest-image-1841453987", "visibility": "private"}
    Response - Headers: {'status': '201', 'content-length': '620', 'connection': 'close', 'location': 'http://172.16.23.110:9292/v2/images/c1ecb00b-ebb4-4389-bdaa-51fd5ae58756', 'date': 'Mon, 08 Feb 2016 17:33:42 GMT', 'content-type': 'application/json; charset=UTF-8', 'x-openstack-request-id': 'req-47c80562-b246-4aaa-aa87-c669494a1378'}
        Body: {"status": "queued", "name": "tempest-image-1841453987", "tags": [], "container_format": "ami", "created_at": "2016-02-08T17:33:42Z", "ramdisk_id": "00000000-1111-2222-3333-444455556666", "disk_format": "ami", "updated_at": "2016-02-08T17:33:42Z", "visibility": "private", "self": "/v2/images/c1ecb00b-ebb4-4389-bdaa-51fd5ae58756", "min_disk": 0, "protected": false, "id": "c1ecb00b-ebb4-4389-bdaa-51fd5ae58756", "size": null, "file": "/v2/images/c1ecb00b-ebb4-4389-bdaa-51fd5ae58756/file", "checksum": null, "owner": "fe28fb69d2e14dbe8c5c811d8b029cf1", "virtual_size": null, "min_ram": 0, "schema": "/v2/schemas/image"}
2016-02-08 12:33:42,969 26234 INFO     [tempest.common.glance_http] Request: PUT http://172.16.23.110:9292/v2/images/c1ecb00b-ebb4-4389-bdaa-51fd5ae58756/file
2016-02-08 12:33:42,969 26234 INFO     [tempest.common.glance_http] Request Headers: {'Transfer-Encoding': 'chunked', 'User-Agent': 'tempest', 'Content-Type': 'application/octet-stream', 'X-Auth-Token': 'e540496f99104ac3aa4afdef1c381c69'}
2016-02-08 12:33:42,969 26234 DEBUG    [tempest.common.glance_http] Actual Path: /v2/images/c1ecb00b-ebb4-4389-bdaa-51fd5ae58756/file
2016-02-08 12:33:45,145 26234 INFO     [tempest.common.glance_http] Response Status: 500
2016-02-08 12:33:45,146 26234 INFO     [tempest.common.glance_http] Response Headers: [('date', 'Mon, 08 Feb 2016 17:33:45 GMT'), ('content-length', '114'), ('content-type', 'text/plain; charset=UTF-8'), ('x-openstack-request-id', 'req-31c445d1-ad48-487a-9675-83bdfd9c65d3')]
}}}

Traceback (most recent call last):
  File "/home/stack/tempest/tempest/api/image/v2/test_images.py", line 64, in test_register_upload_get_image_file
    self.client.store_image_file(image_id, image_file)
  File "/home/stack/tempest/tempest/services/image/v2/json/images_client.py", line 137, in store_image_file
    return service_client.ResponseBody(resp, body)
  File "/home/stack/tempest/tempest/common/service_client.py", line 51, in __init__
    self.update(body_data)
ValueError: dictionary update sequence element #0 has length 26; 2 is required



Note: the last line in the stacktrace indicates a bug in the v2 tempest glance client, wherein a 500 response from glance is not caught properly.
Comment 3 Sergey Gotliv 2016-03-21 05:16:11 EDT
We are working to create internal CI environment to reproduce these Tempest failures. Meantime, please, insert this test to the blacklist.

Note You need to log in before you can comment on or make changes to this bug.